> ## Documentation Index
> Fetch the complete documentation index at: https://developer.accessrc.org/llms.txt
> Use this file to discover all available pages before exploring further.

# View Delivery Channel



## OpenAPI

````yaml GET /api/DeliveryChannel/Get/{providerDeliveryChannelId}
openapi: 3.0.4
info:
  title: ServiceProvider API
  version: v1
servers: []
security:
  - ApiKeyAuth: []
paths:
  /api/DeliveryChannel/Get/{providerDeliveryChannelId}:
    get:
      tags:
        - DeliveryChannel
      parameters:
        - name: providerDeliveryChannelId
          in: path
          description: >-
            Unique identifier (UUID) of the provider’s delivery channel. Used to
            reference this specific configuration in API operations.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error: null
                data:
                  isApproved: true
                  status: ONLINE
                  providerDeliveryChannelId: ced2396b-32b5-4b08-bd98-7830dfb2b622
                  name:
                    language: EN
                    translation: Bulgaria Moneygram
                  shortDescription:
                    language: EN
                    translation: >-
                      Collect your cash transfer at any MoneyGram agent location
                      in Bulgaria using your valid identification and
                      transaction reference number.
                  landingPage: www.moneygram.com
                  contacts:
                    - email: john_doe@moneygram.com
                      name: John Doe
                      phone: '+902129343472'
                  callCenter:
                    phone: '+18009269400'
                    email: customerservice@moneygram.com
                    website: https://www.moneygram.com/mgo/ie/en/help/contact/
                    whatsapp: '+905441112233'
                  availability:
                    categoriesSupported:
                      - CASH
                    countriesSupported:
                      - BG
                      - HN
                      - ML
                      - PL
                    countriesExcluded:
                      - UY
                    kycSupported:
                      - ALL
                    kycExcluded:
                      - OTHER
                    currenciesSupported:
                      - USD
                      - EUR
                      - GBP
                    currenciesExcluded:
                      - CHF
                    nationalitiesSupported:
                      - BULGARIAN
                      - UKRAINIAN
                      - HUNGARIAN
                    nationalitiesExcluded:
                      - FINNISH
                      - CROATIAN
                  budget: null
                  deliveryOptions:
                    - fieldLabel: IBAN (22 characters)
                      fieldName: accountNumber
                      fieldMaxLength: 28
                      fieldMinLength: 28
                      dataType: STRING
                      defaultValue: ''
                      validationRegex: ^HN[0-9A-Za-z]*$
                      isRequired: true
                status: success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 95bd740b-755b-4f95-8549-fa9acfc31a41
                  code: 400
                  type: ValidationError
                  message: >-
                    Invalid request body format. Please check your request
                    format from AccessRC API specifications.
                  title: Invalid Request Body
                data: null
                status: failed
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3
                  code: 401
                  type: Unauthorized
                  message: null
                  title: API Key is missing
                data: null
                status: failed
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  Error:
                    type: object
                    properties:
                      Code:
                        type: integer
                        format: int32
                      Type:
                        type: string
                      Message:
                        type: string
                      Title:
                        type: string
                  Data:
                    type: object
                    properties:
                      Error:
                        type: object
                        properties:
                          Code:
                            type: integer
                            format: int32
                          Type:
                            type: string
                          Message:
                            type: string
                          Title:
                            type: string
                      Data:
                        $ref: '#/components/schemas/BaseResponse'
                      Paging:
                        type: object
                        properties:
                          Skip:
                            type: integer
                            format: int32
                          Take:
                            type: integer
                            format: int32
                          Total:
                            type: integer
                            format: int32
                      Token:
                        type: object
              example:
                error:
                  guid: 2c77f4b6-6ff8-4017-8bb8-1d7a5c8e01f3
                  code: 500
                  type: Exception
                  message: null
                  title: Internal Server Error
                data: null
                status: failed
components:
  schemas:
    BaseResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
        data:
          nullable: true
        status:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        guid:
          type: string
          nullable: true
        code:
          type: integer
          format: int32
        type:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key required in `x-api-key` header

````